failed resolution of :Lorg/apache/http/ProtocolVersion In android

java.lang.NoClassDefFoundError:failed resolution of :Lorg/apache/http/ProtocolVersion

Update: This is no longer a bug or a workaround, it is required if your app targets API Level 28 (Android 9.0) or above and uses the Google Maps SDK for Android 16.0.0 or below (or if your app uses the Apache HTTP Legacy library). It is now included in the official docs. The public issue has been closed as intended behavior.

This is a bug on the Google Play Services side until it’s fixed, you should be able to workaround by adding this to your AndroidManifest.xml inside the <application> tag:

 

<uses-library android:name="org.apache.http.legacy" android:required="false" />
Facebooktwitterredditpinterestlinkedinmail
Recommended
Retrofit and Volley both are the REST client libraries. Before…